org.apache.ivy.core.publish

## Interface PublishEngineSettings

All Superinterfaces:
  ParserSettings

All Known Implementing Classes:
  IvySettings

    public interface PublishEngineSettings
    extends ParserSettings

Settings specific to the publish engine

### Method Summary

Methods
`DependencyResolver` `getResolver(java.lang.String resolverName)`
`java.lang.String` `substitute(java.lang.String srcIvyPattern)`

### Methods inherited from interface org.apache.ivy.plugins.parser.ParserSettings

`getConflictManager, getContextNamespace, getDefaultBranch, getMatcher, getNamespace, getRelativeUrlResolver, getResolutionCacheManager, getResolver, getStatusManager, resolveFile, substitute`

### Method Detail

#### substitute

    java.lang.String substitute(java.lang.String srcIvyPattern)

Specified by:
  `substitute` in interface `ParserSettings`

#### getResolver

    DependencyResolver getResolver(java.lang.String resolverName)